org.appng.api.rest.model

## Class Page

- java.lang.Object
- - org.appng.api.rest.model.Page

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class Page
      extends Object
      implements Serializable

  A page that contains paging information an a list of elements.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Page` | `addElementsItem(Element elementsItem)`
    `Page` | `elements(List<Element> elements)`
    `boolean` | `equals(Object o)`
    `List<Element>` | `getElements()` The elements of this page.
    `Integer` | `getNumber()` The 0-based number of the current page.
    `Integer` | `getSize()` The number of elements per page.
    `Integer` | `getTotalElements()` The total number of elements.
    `Integer` | `getTotalPages()` The number of total pages.
    `int` | `hashCode()`
    `Page` | `isFirst(Boolean isFirst)`
    `Boolean` | `isIsFirst()` If this is the first page.
    `Boolean` | `isIsLast()` If this is the last page.
    `Page` | `isLast(Boolean isLast)`
    `Page` | `number(Integer number)`
    `void` | `setElements(List<Element> elements)`
    `void` | `setIsFirst(Boolean isFirst)`
    `void` | `setIsLast(Boolean isLast)`
    `void` | `setNumber(Integer number)`
    `void` | `setSize(Integer size)`
    `void` | `setTotalElements(Integer totalElements)`
    `void` | `setTotalPages(Integer totalPages)`
    `Page` | `size(Integer size)`
    `String` | `toString()`
    `Page` | `totalElements(Integer totalElements)`
    `Page` | `totalPages(Integer totalPages)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Page

          public Page()

  - ### Method Detail

    - #### number

          public Page number(Integer number)

    - #### getNumber

          public Integer getNumber()

      The 0-based number of the current page.
      Returns:
        number

    - #### setNumber

          public void setNumber(Integer number)

    - #### size

          public Page size(Integer size)

    - #### getSize

          public Integer getSize()

      The number of elements per page.
      Returns:
        size

    - #### setSize

          public void setSize(Integer size)

    - #### totalPages

          public Page totalPages(Integer totalPages)

    - #### getTotalPages

          public Integer getTotalPages()

      The number of total pages.
      Returns:
        totalPages

    - #### setTotalPages

          public void setTotalPages(Integer totalPages)

    - #### totalElements

          public Page totalElements(Integer totalElements)

    - #### getTotalElements

          public Integer getTotalElements()

      The total number of elements.
      Returns:
        totalElements

    - #### setTotalElements

          public void setTotalElements(Integer totalElements)

    - #### isFirst

          public Page isFirst(Boolean isFirst)

    - #### isIsFirst

          public Boolean isIsFirst()

      If this is the first page.
      Returns:
        isFirst

    - #### setIsFirst

          public void setIsFirst(Boolean isFirst)

    - #### isLast

          public Page isLast(Boolean isLast)

    - #### isIsLast

          public Boolean isIsLast()

      If this is the last page.
      Returns:
        isLast

    - #### setIsLast

          public void setIsLast(Boolean isLast)

    - #### elements

          public Page elements(List<Element> elements)

    - #### addElementsItem

          public Page addElementsItem(Element elementsItem)

    - #### getElements

          public List<Element> getElements()

      The elements of this page.
      Returns:
        elements

    - #### setElements

          public void setElements(List<Element> elements)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.